Subject: Re: [PATCH] comment: fix spelling mistakes inside comments

From: Derrick Stolee <[email-masked]>
Date: Wed, 29 Jul 2020 09:45:21 -0400

On 7/28/20 11:33 PM, Steve Kemp via GitGitGadget wrote:
> From: Steve Kemp <[email-masked]>
> 
> This commit fixes a couple of minor spelling mistakes inside
> comments.
> 
> Signed-off-by: Steve Kemp <[email-masked]>
> Signed-off-by: Steve Kemp <[email-masked]>

Double sign-off? Perhaps keep the org.uk version, since that
is the email you use for authorship.

> -			/* abandonded */
> +			/* abandoned */

> -/* Print a cell to stdout with all necessary leading/traling space */
> +/* Print a cell to stdout with all necessary leading/trailing space */

> -		 * currenty thread-safe and might be racy with object reading,
> +		 * currently thread-safe and might be racy with object reading,

> - * 1. Only a single level of inderection is obtained, we might want to
> + * 1. Only a single level of indirection is obtained, we might want to

These edits are all positive ones.

I'll leave it to more experienced contributors to comment on how a
comment-only patch fits with this section Documentation/CodingGuidelines:

 - Fixing style violations while working on a real change as a
   preparatory clean-up step is good, but otherwise avoid useless code
   churn for the sake of conforming to the style.

In my opinion, this change is not harmful, but also isn't super
necessary. I could go either way.

Thanks,
-Stolee